Stocks/Families
Create family
Creates a new root family.
AuthorizationBearer <token>
In: header
idstring
Family code (1-3 characters)
Length
1 <= length <= 3namestring
Family name
tpv_active?string
Active in TPV (T/F)
commission_percentage?number
Commission percentage
min_profit_margin?number
Minimum profit margin
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/stocks/families" \
-H "Content-Type: application/json" \
-d '{
"id": "str",
"name": "string"
}'{
"data": {
"id": "string",
"name": "string",
"tpv_active": "string",
"commission_percentage": 0,
"min_profit_margin": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}